#include "../include/uirc.h"
#include <stdio.h>
#include <stdlib.h>
#include <string.h>

int main(void)
{
	char mesg[513] = {0};
	IRC_Tags input = {
	    .time = {.value = "now", .clientbound = true},
	    .msgid = {.value = "", .clientbound = false}};
	int res = 0;
	if ((res = Assm_tags(mesg, &input, 512)) <= 0) {
		printf("String could not be assembled. %i\n", res);
		return EXIT_FAILURE;
	}
	if (strcmp(mesg, "@+time=now;msgid") && strcmp(mesg, "@msgid;+time=now")) {
		printf("String was not assembled properly. Have %s\n", mesg);
		return EXIT_FAILURE;
	}
	return EXIT_SUCCESS;
}
